Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » ServerTools (WTP) » Problem creating eclipse/projects for WTP/JSDT using eclipse installer (Oomph)(I get an error)
Problem creating eclipse/projects for WTP/JSDT using eclipse installer (Oomph) [message #1781866] Wed, 14 February 2018 02:09
Mario Jauvin is currently offline Mario JauvinFriend
Messages: 34
Registered: October 2015
Member
I run the eclipse installer selecting Latest(Oxygen) and I pick the project WTP/JSDT.

The eclipse installation goes without any problems but when eclipse starts and the task Modular Target (Eclipse Platform + JSDT), activate runs I get the following error:
Calculating requirements and dependencies.
Cannot complete the request.  Generating details.
ERROR: org.eclipse.equinox.p2.director code=10053 Cannot complete the install because one or more required items could not be found.
  at org.eclipse.oomph.targlets.internal.core.TargletContainer.forceUpdate(TargletContainer.java:825)
  at org.eclipse.oomph.setup.targlets.impl.TargletTaskImpl$4.run(TargletTaskImpl.java:1128)
  at org.eclipse.oomph.util.pde.TargetPlatformUtil.runWithTargetPlatformService(TargetPlatformUtil.java:120)
  at org.eclipse.oomph.setup.targlets.impl.TargletTaskImpl.perform(TargletTaskImpl.java:1036)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3324)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.access$1(SetupTaskPerformer.java:3267)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil$1.run(SetupTaskPerformer.java:4494)
  at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2240)
  at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2267)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil.performNeededSetupTasks(SetupTaskPerformer.java:4488)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil.access$0(SetupTaskPerformer.java:4486)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3258)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3233)
  at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3133)
  at org.eclipse.oomph.setup.ui.wizards.ProgressPage$9.run(ProgressPage.java:575)
  at org.eclipse.oomph.setup.ui.wizards.ProgressPage$11$1.run(ProgressPage.java:701)
  at org.eclipse.core.internal.jobs.Worker.run(Worker.java:56)
  ERROR: org.eclipse.equinox.p2.director code=0 Software being installed: artificial_root 1.0.0.v1518573795378
  ERROR: org.eclipse.equinox.p2.director code=0 Missing requirement: JavaScript Development Tools Core 1.3.401.v201511181529 (org.eclipse.wst.jsdt.core 1.3.401.v201511181529) requires 'bundle com.google.javascript 0.0.0' but it could not be found
  ERROR: org.eclipse.equinox.p2.director code=0 Missing requirement: JavaScript Development Tools Core 2.0.0.v201603171403 (org.eclipse.wst.jsdt.core 2.0.0.v201603171403) requires 'bundle com.google.javascript 0.0.0' but it could not be found
  ERROR: org.eclipse.equinox.p2.director code=0 Missing requirement: JavaScript Development Tools Core 2.0.0.v201604281930 (org.eclipse.wst.jsdt.core 2.0.0.v201604281930) requires 'bundle com.google.javascript 0.0.0' but it could not be found
  ERROR: org.eclipse.equinox.p2.director code=0 Missing requirement: JavaScript Development Tools Core 2.0.0.v201605251700 (org.eclipse.wst.jsdt.core 2.0.0.v201605251700) requires 'bundle com.google.javascript 0.0.0' but it could not be found
  ERROR: org.eclipse.equinox.p2.director code=0 Missing requirement: JavaScript Development Tools Core 2.0.0.v201608251059 (org.eclipse.wst.jsdt.core 2.0.0.v201608251059) requires 'bundle com.google.javascript 0.0.0' but it could not be found
  ERROR: org.eclipse.equinox.p2.director code=0 Missing requirement: JavaScript Development Tools Core 2.0.200.v201612211424 (org.eclipse.wst.jsdt.core 2.0.200.v201612211424) requires 'bundle com.google.javascript 0.0.0' but it could not be found
  ERROR: org.eclipse.equinox.p2.director code=1 Cannot satisfy dependency:
    ERROR: org.eclipse.equinox.p2.director code=0 From: artificial_root 1.0.0.v1518573795378
    ERROR: org.eclipse.equinox.p2.director code=0 To: org.eclipse.wst.jsdt.core 0.0.0

Took 67 seconds.
There are failed tasks.

When I click back I get a java.lang.NullPointerException dialog box. If I click FInish the same error occurs but this time the back/finish completes without errors. However, there are no projects defined in the workspace (i.e. it is empty).
Previous Topic:Could not update project NullPointerException
Next Topic:Tomcat embedded in Eclipse doesn't work when launched from Eclipse. What have I done wrong?
Goto Forum:
  


Current Time: Mon Sep 24 13:04:07 GMT 2018

Powered by FUDForum. Page generated in 0.04320 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top